import mustache from 'wontache';
export var defaultTemplates = {};
defaultTemplates["file-summary-line"] = mustache({ sections: [function (state) {
            return "<li class=\"d2h-file-list-line\">\n    <span class=\"d2h-file-name-wrapper\">\n" + (state.d ? "      {{>fileIcon}}\n" : state.p(state, "fileIcon", "      ")) + "      <a href=\"#" + (state.d ? "{{fileHtmlId}}" : state.v(state, ["fileHtmlId"])) + "\" class=\"d2h-file-name\">" + (state.d ? "{{fileName}}" : state.v(state, ["fileName"])) + "</a>\n      <span class=\"d2h-file-stats\">\n          <span class=\"d2h-lines-added\">" + (state.d ? "{{addedLines}}" : state.v(state, ["addedLines"])) + "</span>\n          <span class=\"d2h-lines-deleted\">" + (state.d ? "{{deletedLines}}" : state.v(state, ["deletedLines"])) + "</span>\n      </span>\n    </span>\n</li>";
        }] });
defaultTemplates["file-summary-wrapper"] = mustache({ sections: [function (state) {
            return "<div class=\"d2h-file-list-wrapper\">\n    <div class=\"d2h-file-list-header\">\n        <span class=\"d2h-file-list-title\">Files changed (" + (state.d ? "{{filesNumber}}" : state.v(state, ["filesNumber"])) + ")</span>\n        <a class=\"d2h-file-switch d2h-hide\">hide</a>\n        <a class=\"d2h-file-switch d2h-show\">show</a>\n    </div>\n    <ol class=\"d2h-file-list\">\n    " + (state.d ? "{{{files}}}" : state.v(state, ["files"], 0)) + "\n    </ol>\n</div>";
        }] });
defaultTemplates["generic-block-header"] = mustache({ sections: [function (state) {
            return "<tr>\n    <td class=\"" + (state.d ? "{{lineClass}}" : state.v(state, ["lineClass"])) + " " + (state.d ? "{{CSSLineClass.INFO}}" : state.v(state, ["CSSLineClass", "INFO"])) + "\"></td>\n    <td class=\"" + (state.d ? "{{CSSLineClass.INFO}}" : state.v(state, ["CSSLineClass", "INFO"])) + "\">\n        <div class=\"" + (state.d ? "{{contentClass}}" : state.v(state, ["contentClass"])) + "\">" + (state.d ? "{{{blockHeader}}}" : state.v(state, ["blockHeader"], 0)) + "</div>\n    </td>\n</tr>";
        }] });
defaultTemplates["generic-empty-diff"] = mustache({ sections: [function (state) {
            return "<tr>\n    <td class=\"" + (state.d ? "{{CSSLineClass.INFO}}" : state.v(state, ["CSSLineClass", "INFO"])) + "\">\n        <div class=\"" + (state.d ? "{{contentClass}}" : state.v(state, ["contentClass"])) + "\">\n            File without changes\n        </div>\n    </td>\n</tr>";
        }] });
defaultTemplates["generic-file-path"] = mustache({ sections: [function (state) {
            return "<span class=\"d2h-file-name-wrapper\">\n" + (state.d ? "    {{>fileIcon}}\n" : state.p(state, "fileIcon", "    ")) + "    <span class=\"d2h-file-name\">" + (state.d ? "{{fileDiffName}}" : state.v(state, ["fileDiffName"])) + "</span>\n" + (state.d ? "    {{>fileTag}}\n" : state.p(state, "fileTag", "    ")) + "</span>\n<label class=\"d2h-file-collapse\">\n    <input class=\"d2h-file-collapse-input\" type=\"checkbox\" name=\"viewed\" value=\"viewed\">\n    Viewed\n</label>";
        }] });
defaultTemplates["generic-line"] = mustache({ sections: [function (state) {
            return "            <span class=\"d2h-code-line-prefix\">" + (state.d ? "{{{prefix}}}" : state.v(state, ["prefix"], 0)) + "</span>\n";
        }, function (state) {
            return "            <span class=\"d2h-code-line-prefix\">&nbsp;</span>\n";
        }, function (state) {
            return "            <span class=\"d2h-code-line-ctn\">" + (state.d ? "{{{content}}}" : state.v(state, ["content"], 0)) + "</span>\n";
        }, function (state) {
            return "            <span class=\"d2h-code-line-ctn\"><br></span>\n";
        }, function (state) {
            return "<tr>\n    <td class=\"" + (state.d ? "{{lineClass}}" : state.v(state, ["lineClass"])) + " " + (state.d ? "{{type}}" : state.v(state, ["type"])) + "\">\n      " + (state.d ? "{{{lineNumber}}}" : state.v(state, ["lineNumber"], 0)) + "\n    </td>\n    <td class=\"" + (state.d ? "{{type}}" : state.v(state, ["type"])) + "\">\n        <div class=\"" + (state.d ? "{{contentClass}}" : state.v(state, ["contentClass"])) + "\">\n" + (state.d ? "        {{#prefix}}\n" : "") + state.s(state, ["prefix"], 0) + (state.d ? "        {{/prefix}}\n" : "") + (state.d ? "        {{^prefix}}\n" : "") + state.z(state, ["prefix"], 1) + (state.d ? "        {{/prefix}}\n" : "") + (state.d ? "        {{#content}}\n" : "") + state.s(state, ["content"], 2) + (state.d ? "        {{/content}}\n" : "") + (state.d ? "        {{^content}}\n" : "") + state.z(state, ["content"], 3) + (state.d ? "        {{/content}}\n" : "") + "        </div>\n    </td>\n</tr>";
        }] });
defaultTemplates["generic-wrapper"] = mustache({ sections: [function (state) {
            return "<div class=\"d2h-wrapper\">\n    " + (state.d ? "{{{content}}}" : state.v(state, ["content"], 0)) + "\n</div>";
        }] });
defaultTemplates["icon-file-added"] = mustache({ sections: [function (state) {
            return "<svg aria-hidden=\"true\" class=\"d2h-icon d2h-added\" height=\"16\" title=\"added\" version=\"1.1\" viewBox=\"0 0 14 16\"\n     width=\"14\">\n    <path d=\"M13 1H1C0.45 1 0 1.45 0 2v12c0 0.55 0.45 1 1 1h12c0.55 0 1-0.45 1-1V2c0-0.55-0.45-1-1-1z m0 13H1V2h12v12zM6 9H3V7h3V4h2v3h3v2H8v3H6V9z\"></path>\n</svg>";
        }] });
defaultTemplates["icon-file-changed"] = mustache({ sections: [function (state) {
            return "<svg aria-hidden=\"true\" class=\"d2h-icon d2h-changed\" height=\"16\" title=\"modified\" version=\"1.1\"\n     viewBox=\"0 0 14 16\" width=\"14\">\n    <path d=\"M13 1H1C0.45 1 0 1.45 0 2v12c0 0.55 0.45 1 1 1h12c0.55 0 1-0.45 1-1V2c0-0.55-0.45-1-1-1z m0 13H1V2h12v12zM4 8c0-1.66 1.34-3 3-3s3 1.34 3 3-1.34 3-3 3-3-1.34-3-3z\"></path>\n</svg>";
        }] });
defaultTemplates["icon-file-deleted"] = mustache({ sections: [function (state) {
            return "<svg aria-hidden=\"true\" class=\"d2h-icon d2h-deleted\" height=\"16\" title=\"removed\" version=\"1.1\"\n     viewBox=\"0 0 14 16\" width=\"14\">\n    <path d=\"M13 1H1C0.45 1 0 1.45 0 2v12c0 0.55 0.45 1 1 1h12c0.55 0 1-0.45 1-1V2c0-0.55-0.45-1-1-1z m0 13H1V2h12v12zM11 9H3V7h8v2z\"></path>\n</svg>";
        }] });
defaultTemplates["icon-file-renamed"] = mustache({ sections: [function (state) {
            return "<svg aria-hidden=\"true\" class=\"d2h-icon d2h-moved\" height=\"16\" title=\"renamed\" version=\"1.1\"\n     viewBox=\"0 0 14 16\" width=\"14\">\n    <path d=\"M6 9H3V7h3V4l5 4-5 4V9z m8-7v12c0 0.55-0.45 1-1 1H1c-0.55 0-1-0.45-1-1V2c0-0.55 0.45-1 1-1h12c0.55 0 1 0.45 1 1z m-1 0H1v12h12V2z\"></path>\n</svg>";
        }] });
defaultTemplates["icon-file"] = mustache({ sections: [function (state) {
            return "<svg aria-hidden=\"true\" class=\"d2h-icon\" height=\"16\" version=\"1.1\" viewBox=\"0 0 12 16\" width=\"12\">\n    <path d=\"M6 5H2v-1h4v1zM2 8h7v-1H2v1z m0 2h7v-1H2v1z m0 2h7v-1H2v1z m10-7.5v9.5c0 0.55-0.45 1-1 1H1c-0.55 0-1-0.45-1-1V2c0-0.55 0.45-1 1-1h7.5l3.5 3.5z m-1 0.5L8 2H1v12h10V5z\"></path>\n</svg>";
        }] });
defaultTemplates["line-by-line-file-diff"] = mustache({ sections: [function (state) {
            return "<div id=\"" + (state.d ? "{{fileHtmlId}}" : state.v(state, ["fileHtmlId"])) + "\" class=\"d2h-file-wrapper\" data-lang=\"" + (state.d ? "{{file.language}}" : state.v(state, ["file", "language"])) + "\">\n    <div class=\"d2h-file-header\">\n    " + (state.d ? "{{{filePath}}}" : state.v(state, ["filePath"], 0)) + "\n    </div>\n    <div class=\"d2h-file-diff\">\n        <div class=\"d2h-code-wrapper\">\n            <table class=\"d2h-diff-table\">\n                <tbody class=\"d2h-diff-tbody\">\n                " + (state.d ? "{{{diffs}}}" : state.v(state, ["diffs"], 0)) + "\n                </tbody>\n            </table>\n        </div>\n    </div>\n</div>";
        }] });
defaultTemplates["line-by-line-numbers"] = mustache({ sections: [function (state) {
            return "<div class=\"line-num1\">" + (state.d ? "{{oldNumber}}" : state.v(state, ["oldNumber"])) + "</div>\n<div class=\"line-num2\">" + (state.d ? "{{newNumber}}" : state.v(state, ["newNumber"])) + "</div>";
        }] });
defaultTemplates["side-by-side-file-diff"] = mustache({ sections: [function (state) {
            return "<div id=\"" + (state.d ? "{{fileHtmlId}}" : state.v(state, ["fileHtmlId"])) + "\" class=\"d2h-file-wrapper\" data-lang=\"" + (state.d ? "{{file.language}}" : state.v(state, ["file", "language"])) + "\">\n    <div class=\"d2h-file-header\">\n      " + (state.d ? "{{{filePath}}}" : state.v(state, ["filePath"], 0)) + "\n    </div>\n    <div class=\"d2h-files-diff\">\n        <div class=\"d2h-file-side-diff\">\n            <div class=\"d2h-code-wrapper\">\n                <table class=\"d2h-diff-table\">\n                    <tbody class=\"d2h-diff-tbody\">\n                    " + (state.d ? "{{{diffs.left}}}" : state.v(state, ["diffs", "left"], 0)) + "\n                    </tbody>\n                </table>\n            </div>\n        </div>\n        <div class=\"d2h-file-side-diff\">\n            <div class=\"d2h-code-wrapper\">\n                <table class=\"d2h-diff-table\">\n                    <tbody class=\"d2h-diff-tbody\">\n                    " + (state.d ? "{{{diffs.right}}}" : state.v(state, ["diffs", "right"], 0)) + "\n                    </tbody>\n                </table>\n            </div>\n        </div>\n    </div>\n</div>";
        }] });
defaultTemplates["tag-file-added"] = mustache({ sections: [function (state) {
            return "<span class=\"d2h-tag d2h-added d2h-added-tag\">ADDED</span>";
        }] });
defaultTemplates["tag-file-changed"] = mustache({ sections: [function (state) {
            return "<span class=\"d2h-tag d2h-changed d2h-changed-tag\">CHANGED</span>";
        }] });
defaultTemplates["tag-file-deleted"] = mustache({ sections: [function (state) {
            return "<span class=\"d2h-tag d2h-deleted d2h-deleted-tag\">DELETED</span>";
        }] });
defaultTemplates["tag-file-renamed"] = mustache({ sections: [function (state) {
            return "<span class=\"d2h-tag d2h-moved d2h-moved-tag\">RENAMED</span>";
        }] });
//# sourceMappingURL=diff2html-templates.js.map